Name:           mediafire-fuse
Version:        0.90
Release:        0%{?dist}.1sunshine
Summary:        fuse module that is able to mount the mediafire share locally
License:        GPLv2
URL:            https://github.com/MediaFire/mediafire-fuse
Source0:        ${url}/archive/refs/tags/%{version}.tar.gz#/%{name}-%{version}.tar.gz 
Patch0:         %{name}-0.90-noerror.patch
BuildRequires:  gcc, gcc-c++, make
BuildRequires:  cmake, jansson-devel >= 2.2, libcurl-devel, fuse-devel >= 2.9, openssl-devel

%description
The mediafire-tools project offers these programs to interact with a
mediafire account:

mediafire-shell: a simple shell for a mediafire  account like ftp(1).
mediafire-fuse: a fuse module that is able to mount the mediafire share locally.


%prep
%autosetup -p1

%build
%{cmake}
%{cmake_build}

%install
%{cmake_install}

%files
%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_bindir}/mediafire-shell


%changelog
* Mon Apr 26 2021 Moritz Barsnick <moritz+rpm@barsnick.net> 0.90-0.1sunshine
- update to 0.90
- use GitHub URL and Source0
- add a patch for not escalating warnings to errors, as newer gcc produces a
  lot of warnings, partly in 3rd party code
- add BRs gcc, gcc-c++, make
- version some BRs
- drop BR libcurl
- use %%autosetup macro
- use cmake macros
- fix install path in %%files
- drop %%clean section

* Wed Oct 07 2015 Adrian Alves <aalves@gmail.com> - 0.9-1
- Initial build
